wxScreenDC(3)

NAME
wxScreenDC - A wxScreenDC can be used to paint on the screen.

DESCRIPTION

This should normally be constructed as a temporary stack object; don't store a wxScreenDC object.

When using multiple monitors, wxScreenDC corresponds to the entire virtual screen composed of all of them. Notice that coordinates on wxScreenDC can be negative in this case, see wxDisplay:getGeometry/1 for more.

See:

    • wxDC

    • wxMemoryDC

    • wxPaintDC

    • wxClientDC

    • wxWindowDC

This class is derived, and can use functions, from:

    • wxDC

wxWidgets docs: wxScreenDC

DATA TYPES

wxScreenDC() :: wx:wx_object().

FUNCTIONS

destroy(This :: wxScreenDC()) -> ok.

    Destroys the object
new() -> wxScreenDC().

    Constructor.